curl --request POST \
--url https://care-navigation-gateway-ccg16t89.wl.gateway.dev/procedures/likelihood \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"npis": [
"1487648176"
],
"conditionCode": "99214",
"codeType": "CPT"
}
'{
"data": {
"1487648176": {
"code": "99214",
"codeType": "CPT",
"likelihood": 0.9
}
},
"meta": {
"requestId": "req_bb354ef268be",
"timestamp": "2025-06-15T23:22:22.395111Z",
"processingTimeMs": 731,
"outOfNetworkRecordsCount": 68
}
}Procedure Likelihood
Get procedure likelihood scores
Evaluate the likelihood that healthcare providers (NPIs) perform specific medical procedures or services.
Our data models analyze historical claims data, provider specialties & associations with medicare data. to generate confidence scores from 0.0 (unlikely) to 1.0 (highly likely).
Scoring Methodology
- Claims History Analysis – Past procedure volume and frequency from MRF data and medicare data.
- Provider Specialization – Medical specialty alignment.
POST
/
procedures
/
likelihood
curl --request POST \
--url https://care-navigation-gateway-ccg16t89.wl.gateway.dev/procedures/likelihood \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"npis": [
"1487648176"
],
"conditionCode": "99214",
"codeType": "CPT"
}
'{
"data": {
"1487648176": {
"code": "99214",
"codeType": "CPT",
"likelihood": 0.9
}
},
"meta": {
"requestId": "req_bb354ef268be",
"timestamp": "2025-06-15T23:22:22.395111Z",
"processingTimeMs": 731,
"outOfNetworkRecordsCount": 68
}
}Authorizations
Your API key for authentication. Include this header in all requests.
Note: When using the API Gateway (care-navigation-gateway-ccg16t89.wl.gateway.dev), use query parameter authentication instead: ?key=YOUR_API_KEY
Get your API key by reaching out to support@docaroo.com.
Body
application/json
List of National Provider Identifiers (NPIs) to assess
Required array length:
1 - 50 elements10-digit National Provider Identifier
Pattern:
^[0-9]{10}$Example:
["1487648176"]
Medical billing code to evaluate likelihood for
Example:
"81416"
Medical billing code standard:
- CPT: Current Procedural Terminology
- NDC: National Drug Code
- HCPCS: Healthcare Common Procedure Coding System
- ICD: International Classification of Diseases
- DRG: Diagnosis Related Group (various types)
- APC: Ambulatory Payment Classification
- CDT: Current Dental Terminology
Available options:
CPT, NDC, HCPCS, RC, ICD, MS-DRG, R-DRG, S-DRG, APS-DRG, AP-DRG, APR-DRG, APC, LOCAL, EAPG, HIPPS, CDT, CSTM-ALL Example:
"CPT"